[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBImage.DataChange

Performs actions needed when the content in the linked dataset has been changed.

## Declaration

Source position: dbctrls.pp line 1193

`protected procedure TDBImage.DataChange(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

DataChange is a procedure used to perform actions needed when the content in the linked dataset has been changed. Such as when the record position has changed when scrolling the dataset.

DataChange ensures that the TGraphic instance in Picture is set to Nil. If AutoDisplay is set to True, the graphic image is loaded by calling the LoadPicture method.

DataChange is assigned as the OnDataChange event handler in the internal TFieldDataLink instance used in the class.

## See also

TDBImage.AutoDisplay |  | AutoDisplay - if True, automatically displays when focus is given.
TDBImage.LoadPicture |  | Loads the graphic content for the control from a field in the linked dataset.
TFieldDataLink.OnDataChange |  | Event handler signalled when the field data link has been changed.
TCustomImage.Picture |  | Contains the image displayed in the control.
TPicture.Graphic |  | Graphic - The TGraphic object contained by the TPicture.